Bug 731696 - Kernel freezing, from 2.6.40-4 on
Summary: Kernel freezing, from 2.6.40-4 on
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 11:33 UTC by Tom Kovar
Modified: 2011-11-30 19:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-30 19:15:24 UTC


Attachments (Terms of Use)
syslogd output for, among others, kern.* (93.35 KB, text/plain)
2011-09-13 14:39 UTC, Tom Kovar
no flags Details

Description Tom Kovar 2011-08-18 11:33:15 UTC
Starting with 2.6.40-4, the kernel boots without any issue, but after a couple of minutes completely freezes. Without any traces in system logs, simply complete freeze, the only way out is switching off. It happens usually during an X11 session, where the system suddenly stops responding, mouse and keypad do not respond and the screen image simply freezes.
The hardware in use is AMD Semtron 3000+ in Fuji-Siemens Taleo, with Radeon HD3450 (but I am not using any specific driver from Radeon, just the Fedora default graphics driver).

This behaviour does not occur under 2.6.18-4 or earlier, I have observed it only on 2.6.40-4 and 2.6.40.3-0.

Comment 1 Tom Kovar 2011-08-18 11:34:07 UTC
Sorry for the typo, the last paragraph should state "under 2.6.38-4 or earlier".

Comment 2 Dave Jones 2011-08-24 19:12:56 UTC
can you try running the kernel-debug package for a while, and see if you get any traces, or similar appearing ?

Comment 3 Tom Kovar 2011-09-13 14:39:52 UTC
Created attachment 522942 [details]
syslogd output for, among others, kern.*

Comment 4 Tom Kovar 2011-09-13 14:42:26 UTC
Somehow my last comment got lost.
Running with kernel-debug (2.6.40.4-5) and after some tricking, redirecting syslog kern.* to /var/log/messages results in the attached file. It indeed shows a kernel deadlock condition in the end.

Comment 5 Josh Boyer 2011-11-30 19:15:24 UTC
The lockdep report you attached was supposedly fixed by upstream commit 8c0bec2151a47906bf779c6715a10ce04453ab77.  That was contained in the 3.1 kernel, which is now in F15 as 2.6.41.x.

If you are still seeing this issue, please reopen this bug and let us know which 2.6.41.x kernel version you see it with and try to get a backtrace as before.


Note You need to log in before you can comment on or make changes to this bug.